﻿using Renci.SshNet.Sftp;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Tonwicht_Management.Connectors;

namespace Tonwicht_Management.Classes
{
    internal class Cache
    {
        public static List<Waregroup> Waregroups { get; set; }
        public static List<Article> Articles { get; set; }
        public static List<string> ArticleImages { get; set; }

        public static string ArticleImages_BaseURL => "https://cdn.tonwicht.de/images/articles/";

        public static void Update_ArticleImages()
        {
            SFTP_Connector connector = new();
            ArticleImages = new();
            foreach (SftpFile image in connector.Get_ArticleImages())
            {
                ArticleImages.Add(image.Name);
            }
        }
    }
}
