﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Tonwicht_Management.Classes
{
    internal class Waregroup
    {
        private int id;
        private string name;
        private DateTime created;
        private DateTime changed;

        public string Name => this.name;
        public int articleCount
        {
            get
            {
                int count = 0;

                foreach(Article article in Cache.Articles)
                {
                    if(article.Get_WaregroupID() == id)
                    {
                        count++;
                    }
                }

                return count;
            }
        }

        public void Set_ID(int id) => this.id = id;
        public void Set_Name(string name) => this.name = name;
        public void Set_Created(DateTime created) => this.created = created;
        public void Set_Changed(DateTime changed) => this.changed = changed;

        public int Get_ID() => this.id;
        public string GetName() => this.name;
        public DateTime GetCreated() => this.created;
        public DateTime GetChanged() => this.changed;
    }
}
